net.sf.jasperreports.data.bean

## Class BeanDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService
    - - net.sf.jasperreports.data.bean.BeanDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class BeanDataAdapterService
      extends AbstractClasspathAwareDataAdapterService

  Version:
    $Id: BeanDataAdapterService.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `CURRENT_CLASS_LOADER`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDataAdapterService(BeanDataAdapter beanDataAdapter)` Deprecated. Replaced by `BeanDataAdapterService(JasperReportsContext, BeanDataAdapter)`.
    `BeanDataAdapterService(JasperReportsContext jasperReportsContext, BeanDataAdapter beanDataAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `BeanDataAdapter` | `getBeanDataAdapter()`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `getClassLoader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanDataAdapterService

          public BeanDataAdapterService(JasperReportsContext jasperReportsContext,
                                BeanDataAdapter beanDataAdapter)

    - #### BeanDataAdapterService

          public BeanDataAdapterService(BeanDataAdapter beanDataAdapter)

      Deprecated. Replaced by `BeanDataAdapterService(JasperReportsContext, BeanDataAdapter)`.

  - ### Method Detail

    - #### getBeanDataAdapter

          public BeanDataAdapter getBeanDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com